<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_main"
    android:paddingTop="40dp"
    tools:context=".ui.activity.PlayActivity">


    <ImageView
        android:id="@+id/icon_back"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:paddingStart="16dp"
        android:paddingBottom="5dp"
        android:src="@mipmap/icon_back"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/textview_sound_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:gravity="center_horizontal"
        android:text="@string/app_name"
        android:textColor="@color/white"
        android:textSize="18sp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/im_collect"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:paddingEnd="16dp"
        android:src="@drawable/selector_collect"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@id/textview_sound_title" />


    <ImageView
        android:id="@+id/im_preview"
        android:layout_width="144dp"
        android:layout_height="144dp"
        android:layout_marginTop="77dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/textview_sound_title" />


    <ImageView
        android:id="@+id/im_volume_small"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="20dp"
        android:layout_marginTop="80dp"
        android:src="@mipmap/volume_slash"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@id/im_preview" />

    <SeekBar
        android:id="@+id/volume_seekbar"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginEnd="8dp"
        android:maxHeight="5dp"
        android:progress="50"
        android:progressDrawable="@drawable/progressdrawable"
        android:thumb="@drawable/seek_bar_circle"
        app:layout_constraintBottom_toBottomOf="@id/im_volume_small"
        app:layout_constraintLeft_toRightOf="@id/im_volume_small"
        app:layout_constraintRight_toLeftOf="@id/im_volume_big"
        app:layout_constraintTop_toTopOf="@id/im_volume_small" />


    <ImageView
        android:id="@+id/im_volume_big"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="80dp"
        android:layout_marginEnd="20dp"
        android:src="@mipmap/volume_high"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/im_preview" />

    <ImageView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="70dp"
        android:id="@+id/im_play"
        android:src="@drawable/selector_play"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/im_volume_small" />


    <ProgressBar
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:id="@+id/progressbar"
        android:visibility="gone"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/im_play"
        app:layout_constraintBottom_toBottomOf="@id/im_play"
        android:indeterminateTint="@color/color_C58D99"/>

</androidx.constraintlayout.widget.ConstraintLayout>